%global momorel 12

Summary		: NTFS filesystem libraries and utilities
Name		: ntfsprogs
Version		: 2.0.0
Release		: %{momorel}m%{?dist}
License		: GPLv2+
Group		: System Environment/Base
URL		: http://www.linux-ntfs.org/
Source0		: http://dl.sourceforge.net/sourceforge/linux-ntfs/%{name}-%{version}.tar.bz2
NoSource	: 0
Patch0		: ntfsprogs-2.0.0-build-extras-by-default.patch
Patch1		: ntfsprogs-2.0.0-mbonly-info.patch
Patch2		: ntfsprogs-2.0.0-check_volume.patch
BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires	: gnutls
Requires	: libconfig
BuildRequires	: gnutls-devel >= 2.4.1
BuildRequires	: libconfig-devel >= 1.4.5
BuildRequires	: libgcrypt-devel

%description
The Linux-NTFS project (httlibgcrypt-develp://www.linux-ntfs.org/) aims to bring full support
for the NTFS filesystem to the Linux operating system.  The ntfsprogs package
currently consists of a static library and utilities such as mkntfs, ntfscat,
ntfsls, ntfsresize, and ntfsundelete (for a full list of included utilities
see man 8 ntfsprogs after installation).

%package gnomevfs
Summary		: NTFS GNOME virtual filesystem module
Group		: System Environment/Base
Requires	: %{name} = %{version}-%{release}
Requires	: glib2
Requires	: gnome-vfs2
BuildRequires	: glib2-devel
BuildRequires	: gnome-vfs2-devel

%description gnomevfs
This package contains the NTFS GNOME virtual filesystem (VFS) module which
allows GNOME VFS clients to seamlessly utilize the NTFS library (libntfs).

%package devel
Summary		: files required to compile software that uses libntfs
Group		: Development/Libraries
Requires	: %{name} = %{version}-%{release}

%description devel
This package includes the header files and libraries needed to link software
with the NTFS library (libntfs).

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .check_volume

%build
%configure \
	--enable-gnome-vfs \
	--disable-ntfsmount \
	--enable-test \
	--enable-crypto \
	LIBS="-lgcrypt"

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} transform='s,x,x,' install
find %{buildroot} -name "*.la" -delete

# replace symlink to a copy
rm -rf %{buildroot}/sbin/mkfs.ntfs
cp -a %{buildroot}%{_sbindir}/mkntfs %{buildroot}/sbin/mkfs.ntfs

# conflicts with ntfs-3g
rm -f %{buildroot}%{_mandir}/man8/ntfsmount*

%check

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README
%doc TODO.include TODO.libntfs TODO.ntfsprogs
%doc doc/CodingStyle doc/attribute_definitions doc/attributes.txt
%doc doc/compression.txt doc/tunable_settings doc/template.c doc/template.h
%doc doc/system_files.txt doc/system_security_descriptors.txt
/sbin/mkfs.ntfs
%{_bindir}/*
%{_libdir}/libntfs.so.*
%{_sbindir}/*
%{_mandir}/man8/libntfs.8*
%{_mandir}/man8/mkntfs.8*
%{_mandir}/man8/mkfs.ntfs.8*
%{_mandir}/man8/ntfs[^m][^o]*.8*

%files gnomevfs
%defattr(-,root,root)
%config %{_sysconfdir}/gnome-vfs-2.0/modules/libntfs.conf
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*so*
%{_mandir}/man8/libntfs-gnomevfs.8*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/gnome-vfs-2.0/modules/libntfs-gnomevfs.*a
%{_libdir}/libntfs.*a
%{_libdir}/libntfs.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0.0-12m)
- full rebuild for mo7 release

* Fri Jul 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-11m)
- rebuild against libconfig-1.4.5

* Sun May  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.0-10m)
- fix build with new gcc

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-9m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 31 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-8m)
- rebuild against libconfig-1.3.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-7m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.0-6m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Thu Jul 17 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (2.0.0-5m)
- BR libconfig-devel

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-4m)
- rebuild against gnutls-2.4.1

* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.0-3m)
- remove package ntfsmount, it's provided by ntfs-3g
- import 3 patches from Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.0-2m)
- rebuild against gcc43

* Mon Feb 11 2008 Yonekawa Susumu <yonekawau@mmg.roka.jp>
- (2.0.0-1m)
- update to 2.0.0
- no %%NoSource
- add ntfsmount package and enable ntfsmount (fuse module).
  imported from original source.
- no support of Linux-NTFS crypto code. requires the libconfig.

* Wed Mar  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.13.1-3m)
- not add --disable-fuse-module but add files in %%files section
  /sbin/mount.ntfs-fuse and %%{_mandir}/man8/mount.ntfs-fuse.8*

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.13.1-2m)
- delete libtool library

* Thu Aug 10 2006 Yonekawa Susumu <yonekawas@mmg.roka.jp>
- (1.13.1-1m)
- update to 1.13.1
- revised URL

* Sun May 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.13.0-2m)
- revise %%files for rpm-4.4.2

* Fri Mar 10 2006 Yonekawa Susumu <yonekawas@mmg.roka.jp>
- (1.13.0-1m)
- update to 1.13.0
- remove Patch0: ntfsprogs-1.9.0-check-gcc-version.patch
  including original source

* Wed Nov 16 2005 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.12.1-1m)
- update to 1.12.1
- change URL
- revised make install

* Sat Aug 13 2005 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.11.2-1m)
- update to 1.11.2

* Sun Jul 31 2005 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.11.1-1m)
- update to 1.11.1

* Wed Jun 29 2005 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.10.0-1m)
- update to 1.10.0

* Wed Sep  8 2004 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.9.4-1m)
- update to 1.9.4

* Thu May 27 2004 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.9.2-1m)
- update to 1.9.2

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.9.1-3m)
- rebuild against for gnome-vfs-2.6.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.9.1-2m)
- rebuild against for glib-2.4.0

* Sat Apr 10 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.9.1-1m)
- minor feature enhancements

* Fri Mar 26 2004 Yonekawa Susumu <yonekawa@mmg.roka.jp>
- (1.9.0-1m)
- update to 1.9.0
- add gnomevfs package
- revise check-gcc-version.patch
- add URL
- import descriptions from original archive
- use aclocal-1.7 or Makefile was made broken
- use %%NoSource, %%make
- add %%post, %%postun
- revise %%files

* Mon Jul  7 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.1-2m)
- transform='s,x,x,' in %makeinstall

* Sat Mar 29 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.7.1-1m)
- import to momonga

* Sat Jan 18 2003 Anton Altaparmakov <aia21@cantab.net>
- renamed to ntfsprogs.spec.in
- change source tar ball name to ntfsprogs

* Tue Dec 10 2002 Anton Altaparmakov <aia21@cantab.net>
- added ntfsresize

* Wed Jul 18 2002 Richard Russon <ntfs@flatcap.org>
- added ntfsundelete
- change TODO names

* Wed Jul 3 2002 Anton Altaparmakov <aia21@cantab.net>
- update my email address

* Mon Jun 3 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %doc with new TODO files

* Tue Apr 12 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text for ntfslabel

* Tue Mar 12 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Sat Jan 26 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text
- make dependencies pick the right version automatically

* Thu Jan 10 2002 Anton Altaparmakov <aia21@cam.ac.uk>
- add dependency on linux-ntfs to linux-ntfs-devel
- update %description text

* Fri Nov 09 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text
- (re)enable installation of shared libraries

* Wed Aug 22 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Thu Aug 2 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Wed Jul 25 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- include sbin install path (mkntfs now is in sbin)

* Tue Jul 24 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- update %description text

* Mon Jun 11 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- remove duplicate %configure options
- remove shared library installation as shared libraries are disabled by
default

* Sun Jun 10 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- add man pages stuff
- update info text
- add new doc/ stuff
- modify installation to do install-strip instead of install followed by manual
stripping
- update download URL to be the fast sourceforge http download server

* Fri Feb 2 2001 Anton Altaparmakov <aia21@cam.ac.uk>
- started changelog

